Package Details: fluxgui 1.2.0-4

Git Clone URL: https://aur.archlinux.org/fluxgui.git (read-only, click to copy)
Package Base: fluxgui
Description: Better lighting for Linux. Open source GUI for xflux
Upstream URL: https://justgetflux.com/
Keywords: bluelight eye-strain indicator-applet night sleep-issues xflux
Licenses: MIT
Conflicts: xflux, xflux-gui-git
Provides: fluxgui
Submitter: ValHue
Maintainer: oguzkagan (alaskanarcher, reesericci)
Last Packager: oguzkagan
Votes: 10
Popularity: 0.39
First Submitted: 2018-02-13 17:17
Last Updated: 2020-04-28 12:38

Latest Comments

1 2 Next › Last »

3l3ktr4 commented on 2020-05-12 17:56

Doesn't work for me. Running on Archlinux

Traceback (most recent call last):
  File "/usr/bin/fluxgui", line 17, in <module>
    from fluxgui.fluxapp import main
ModuleNotFoundError: No module named 'fluxgui'

Thanks!

reesericci commented on 2020-04-28 12:43

thank you @oguzkagan

oguzkagan commented on 2020-04-28 12:40

@reesericci I updated for you. You can follow https://wiki.archlinux.org/index.php/Arch_User_Repository, when you want to send changes to the aur.

reesericci commented on 2020-04-28 12:32

How do I go about doing that? @oguzkagan

oguzkagan commented on 2020-04-28 12:31

@reesericci added you as co-maintainer. Can you send your changes to the aur.

reesericci commented on 2020-04-28 12:28

I rewrote the PKGBUILD dependencies with the correct dependencies for fluxgui because when I tried to install the fluxgui package from the AUR, the GUI wouldn't open.

# Maintainer: ValHue <vhuelamo at gmail dot com>
#
# Contributor: Christopher Loen <christopherloen at gmail dot com>
# Contributor: MarkZZ <mark dot weiman at markzz dot com>
# Contributer: t3ddy <t3ddy1988 "at" gmail {dot} com>
# Contributor: kriation
# Contributor: oguzkagan <me at oguzkaganeren dot com dot tr>
# Contributor: alaskanarcher adam at aslevy dot com
# Contributor: Reese Armstrong - Couch Potato setting up a computer
pkgname="fluxgui"
pkgver=1.2.0
pkgrel=3
pkgdesc="Better lighting for Linux. Open source GUI for xflux"
url="https://justgetflux.com/"
arch=('i686' 'x86_64')
license=('MIT')
depends=('hicolor-icon-theme' 'libindicator-gtk2' 'libappindicator-gtk2'\
         'python2-libappindicator' 'python-pexpect' 'python-xdg'\
         'python2-gconf' 'libappindicator-gtk3' 'python3'
)
makedepends=('python-pip' 'wget')
conflicts=('xflux' 'xflux-gui-git')
provides=("${pkgname}")
source=("https://github.com/xflux-gui/${pkgname}/archive/v${pkgver}.tar.gz")
sha256sums=('3c230fa7fd5515996849ee775675aad86cb95fdbb824c18425fbdceb076bce63')

build() {
    cd "${srcdir}/${pkgname}-${pkgver}"
    python ./download-xflux.py
    python setup.py build
}

package() {
    cd "${srcdir}/${pkgname}-${pkgver}"
    python setup.py install --prefix=/usr --root="${pkgdir}"/ --optimize=1
    install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
    rm -f "${pkgdir}/usr/share/glib-2.0/schemas/gschemas.compiled"
}

(I also added myself as a contributor)

oguzkagan commented on 2020-04-24 07:47

@Zeioth thank you for your feedback. I will handle it when I have free time.

Zeioth commented on 2020-04-23 17:38

fluxgui is supposed to support python3 right? Why is python2 still a requirement for this package?

LevitatingRein commented on 2019-12-22 01:00

I also had to install python-pexpect and python-xdg like @hcra mentioned. So like he said the python2 dependencies should be updated. And maybe you should change the upstream url in the PKGBUILD to the github repo.

Also, maybe you should add a .desktop application file.

alaskanarcher commented on 2019-11-17 19:27

The PKGBUILD misses some depends and makedepends for building in a clean chroot.

depends needs python

makedepends needs wget

Consider adding the file being fetched during build() to be listed in the sources directly so that makepkg can fetch it and verify a checksum on the file.